• We would like to remind our members that this is a privately owned, run and supported forum. You are here at the invitation and discretion of the owners. As such, rules and standards of conduct will be applied that help keep this forum functioning as the owners desire. These include, but are not limited to, removing content and even access to the forum.

    Please give yourself a refresher on the forum rules you agreed to follow when you signed up.

Axe-Edit III 1.01.04

Michael Pickens

FAS Software Engineer
Fractal Audio Systems
Moderator
Axe-Edit III 1.01.04 is now available via auto-update or from our website:

https://www.fractalaudio.com/axe-fx-iii-edit/

Current Axe-Fx III Firmware Version: 5.03

SYSTEM REQUIREMENTS
* Mac version requires OS version 10.7 or newer
* Windows version requires Windows 7 or newer
* Minimum firmware version 3.02

NEW IN THIS VERSION

* Corrected About box URL.
* Added support for firmware 5.03.
o Added AMP layout for "USA JP IIC+ Red"
 

REDD

Power User
Was prompted to download this version but the link for 5.3 is down due to a bug so should I hold off on this version?
 

jasonmauer

Member
the update error'd out on installing the release notes. I bypassed and the install completed.
Acrobat DC and/or Creative Cloud may be the culprit if you're on Windows. I experience the same thing sometimes, and it's due to Acrobat not closing out properly beforehand, leaving multiple dead processes in memory that don't respond to the installer's request to open the release notes PDF file. Killing the zombie Adobe processes in Task Manager seems to do the trick.
 
  • Like
Reactions: Rex

Rex

Legend!
Acrobat DC and/or Creative Cloud may be the culprit if you're on Windows. I experience the same thing sometimes, and it's due to Acrobat not closing out properly beforehand, leaving multiple dead processes in memory that don't respond to the installer's request to open the release notes PDF file. Killing the zombie Adobe processes in Task Manager seems to do the trick.
I’ve had that problem with Acrobat. The zombie processes prevent Acrobat from being used. I’ve seen this often on Windows 10, but never on Windows 7.
 

H3O2

Experienced
Hi All,

Getting a message opening AE that I need FW version 1.1.4 and says I have 1.1.3 I'm blanking out on this one. This is before and after 5.05 update.

EDIT: Never mind, it looks like it was referencing AE ver. 1.01.0.4
 
Last edited:

h.c.e.

Power User
Hi All,

Getting a message opening AE that I need FW version 1.1.4 and says I have 1.1.3 I'm blanking out on this one. This is before and after 5.05 update.

Anyone direct me?

Thanks!
You sure it's "1.1.4" and not 1.1.04? My suspicion is you're seeing the software update message from Axe-Edit III telling you that there's a new version (this version) of the AE software available, not a needed firmware of any kind... if that's not the case, take a screenshot of the message you're getting and post it.
 

H3O2

Experienced
You sure it's "1.1.4" and not 1.1.04? My suspicion is you're seeing the software update message from Axe-Edit III telling you that there's a new version (this version) of the software, not firmware, available... if that's not the case, maybe take a screenshot of the message you're getting and post it.
Yep it was the software ver. It was showing "1.1.4 and 1.1.3", tho. Thanks for the quick reply!
 
Top Bottom